ログイン 概要 よくある質問

ド素人の質問申し訳ありません。

manualを読みながらtrans-ABySSをインストールしようとしているのですが、 setupするまでがよくわかりません。

pythonは最新ver.をインストールして、Perlはmacなのかv5.10.0がもともと入ってPATHも加えてありました。

そこでmanual通り

export TRANSABYSS_PATH=/home/user/Desktop/trans-ABySS

export PYTHONPATH=.:$PYTHONPATH:$TRANSABYSS_PATH

export PERL5LIB=.:$PERL5LIB:$TRANSABYSS_PATH/wrappers

をやった後にsetupしたのですがPermission deniedとなってしまいます。

どなたかご助言いただけると、幸いです。

よろしくお願いします。

質問日 Jun 12 '11 at 18:37

pan's gravatar image

pan
1157


macユーザでないので確証はありませんが、 permission deniedは権限の無いユーザーでコマンドを実行した際に出るUNIX/LINUX系の メッセージと同じだと思うので、権限のあるユーザ(rootとか)で再実行するか、 sudo export.. としてはどうでしょう。"mac permission denied"でgoogle検索などすれば、 関係ありそうな文章はたくさん出てくる気がします。

回答日 Jun 14 '11 at 13:09

nob_fj's gravatar image

nob_fj ♦
50761328

お返事ありがとうございます。 permission deniedは解決したのですが、今度はノーリアクションで実行できません。 おそらくPATHの設定が悪いのではないかと思います。pythonもPerlインストールしたら PATHの設定されているので必要ない?のでmunualの意味がよくわかりません。 どのファイルをPATH設定したらようのでしょうか??

(Jun 15 '11 at 16:29) pan pan's gravatar image

version1.2のパッケージの中身を見てみていますが、 trans-ABySS-v1.2.0.tar/trans-ABySS/README に書いてある EXTERNAL SOFTWARE DEPENDENCIES に記載のある以下のツール群はインストール済みですか?結構前提を満たす自体がハードなツールという印象ですが。

  • Blat
  • Pysam
  • BioPython
  • Samtools
  • Bowtie
  • Perl moduleのConfig::General、IO::Compress
  • BWA
(Jun 15 '11 at 19:21) nob_fj ♦ nob_fj's gravatar image
あなたの回答
プレビューをトグルする

この質問をフォローする

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

回答

回答とコメント

タグ:

×47
×2

質問日: Jun 12 '11 at 18:37

閲覧数: 4,139 回

最終更新日: Jun 15 '11 at 20:10

powered by OSQA